# Creates a check-in Request Endpoint: POST /reservation/checkin Version: v1 ## Query parameters: - `api-version` (string) ## Request fields (application/json): - `hotelConfirmationNumber` (string, required) Confirmation number provided to CLC for the stay Example: "13212" - `clcHotelId` (integer, required) CLC Hotel ID Example: 776655 - `employeeIdentifier` (string,null) Employee identifier (Badge Number, Member ID, or Card ID) Example: "999999" - `supplierReservationId` (string,null) Supplier reservation id Example: "19457856A3" - `source` (string, required) Source of the reservation Example: "HOS" - `checkInDateTime` (string, required) Check-in date and time (in hotel timezone with UTC offset) Example: "2026-10-17T14:30:00-05:00" - `expectedCheckOutDateTime` (string, required) Expected check-out date and time (in hotel timezone with UTC offset) Example: "2026-10-19T14:30:00-05:00" - `roomNumber` (string, required) Room number Example: "201" - `folio` (string, required) Folio number Example: "201" - `guestFirstName` (string, required) Guest first name Example: "Adam" - `guestLastName` (string, required) Guest last name Example: "Addams" - `roomType` (string, required) Room type (Single or Double) Example: "Single" - `occupancy` (integer, required) Number of guests in room Example: 1 - `loyalty` (boolean,null) Whether loyalty was used Example: true - `numberOfNights` (integer, required) Number of nights for the stay Example: 2 - `reservationInformation` (string,null) Additional reservation information Example: "Reservation details" ## Response 400 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null) ## Response 201 fields ## Response 500 fields